#ifndef ADDMACHINEDIALOG_H
#define ADDMACHINEDIALOG_H

#include <QDialog>
#include <QMessageBox>

namespace Ui {
class AddMachineDialog;
}

class AddMachineDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AddMachineDialog(QWidget *parent = 0);
    ~AddMachineDialog();

public:
    inline QString getMcIp(){return m_mcIp;}
    inline QString getMcName(){return m_mcName;}

private slots:
    void on_pushButton_ok_clicked();
    void on_pushButton_cancel_clicked();

private:
    Ui::AddMachineDialog *ui;
    QString m_mcIp;
    QString m_mcName;
};

#endif // ADDMACHINEDIALOG_H
