#ifndef PRINTNUMBERSETDIALOG_H
#define PRINTNUMBERSETDIALOG_H

#include <QDialog>
#include <QMessageBox>

namespace Ui {
class PrintNumberSetDialog;
}

class PrintNumberSetDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PrintNumberSetDialog(QWidget *parent = 0);
    ~PrintNumberSetDialog();
    int exec(QString title,QString text);
    inline int getPrintNumber(){return m_printNumber;}

private slots:
    void on_pushButton_ok_clicked();
    void on_pushButton_cancel_clicked();

private:
    Ui::PrintNumberSetDialog *ui;
    int m_printNumber;
};

#endif // PRINTNUMBERSETDIALOG_H
