#-------------------------------------------------
#
# Project created by Qt5.9.1 2022-10-24T09:06:36
# created by HUAHAIYAN
#-------------------------------------------------

TEMPLATE = app

TARGET = NPotter

#INCLUDEPATH +=$$PWD/../boost/
#INCLUDEPATH +=$$PWD/../spline_library/

CONFIG += c++11

QT     += core gui network
QT     += serialport
QT     += svg
QT     += concurrent testlib #将类中的函数移到线程中

 #用于zip的压缩和解压，因为qt自带的zip是私有的，所以工程会报警告，若要消除警告可尝试第三方的zip库
QT     += gui-private

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

OBJECTS_DIR		+= obj
MOC_DIR                += moc
UI_DIR			+= forms
RCC_DIR			+= rccs

DEFINES += HAVE_CONFIG_H

SOURCES += \
    main.cpp \
    mainwindow.cpp \
    printviewwindow.cpp \
    datafile/hpgl/importhpgl.cpp \
    datafile/hpgl/marker.cpp \
    datafile/hpgl/vectorfont.cpp \
    datafile/view/mygraphicsitem.cpp \
    datafile/view/mygraphicsscene.cpp \
    datafile/view/mygraphicsview.cpp \
    printnumbersetdialog.cpp \
    drawingsetdialog.cpp \
    historydialog.cpp \
    plottersetdialog.cpp \
    startsetdialog.cpp \
    machine/machine.cpp \
    datafile/hpgl/plotbitmap.cpp \
    datafile/qrencode/bitstream.c \
    datafile/qrencode/mask.c \
    datafile/qrencode/mmask.c \
    datafile/qrencode/mqrspec.c \
    datafile/qrencode/qrencode.c \
    datafile/qrencode/qrinput.c \
    datafile/qrencode/qrspec.c \
    datafile/qrencode/rsecc.c \
    datafile/qrencode/split.c \
    machine/comm/comm.cpp \
    machine/comm/crc16.cpp \
    machine/comm/crc32.cpp \
    printinfodialog.cpp \
    datafile/dxf/dxfhelper.cpp \
    datafile/dxf/dxfreader.cpp \
    datafile/dxf/dxflib/dl_dxf.cpp \
    datafile/dxf/dxflib/dl_writer_ascii.cpp \
    addmachinedialog.cpp \
    machine/bmp/bwbmp.cpp \
    machine/bmp/creatprintbmp.cpp \
    machine/tcp/qbindtcpsocket.cpp \
    machine/tcp/tcpclient.cpp \
    datafile/view/drawdata.cpp

FORMS += \
    mainwindow.ui \
    printviewwindow.ui \
    printnumbersetdialog.ui \
    drawingsetdialog.ui \
    historydialog.ui \
    plottersetdialog.ui \
    startsetdialog.ui \
    printinfodialog.ui \
    addmachinedialog.ui

HEADERS += \
    main.h \
    mainwindow.h \
    printviewwindow.h \
    datafile/hpgl/importhpgl.h \
    datafile/hpgl/marker.h \
    datafile/hpgl/vectorfont.h \
    datafile/view/mygraphicsitem.h \
    datafile/view/mygraphicsscene.h \
    datafile/view/mygraphicsview.h \
    printnumbersetdialog.h \
    drawingsetdialog.h \
    historydialog.h \
    plottersetdialog.h \
    startsetdialog.h \
    datafile/hpgl/typedef.h \
    machine/machine.h \
    datafile/hpgl/plotbitmap.h \
    datafile/qrencode/bitstream.h \
    datafile/qrencode/config.h \
    datafile/qrencode/mask.h \
    datafile/qrencode/mmask.h \
    datafile/qrencode/mqrspec.h \
    datafile/qrencode/qrencode.h \
    datafile/qrencode/qrencode_inner.h \
    datafile/qrencode/qrinput.h \
    datafile/qrencode/qrspec.h \
    datafile/qrencode/rsecc.h \
    datafile/qrencode/split.h \
    machine/comm/protocol.h \
    machine/comm/comm.h \
    machine/comm/typedef.h \
    machine/comm/crc16.h \
    machine/comm/crc32.h \
    printinfodialog.h \
    datafile/dxf/dxfhelper.h \
    datafile/dxf/dxfreader.h \
    datafile/dxf/dxflib/dl_attributes.h \
    datafile/dxf/dxflib/dl_codes.h \
    datafile/dxf/dxflib/dl_creationadapter.h \
    datafile/dxf/dxflib/dl_creationinterface.h \
    datafile/dxf/dxflib/dl_dxf.h \
    datafile/dxf/dxflib/dl_entities.h \
    datafile/dxf/dxflib/dl_exception.h \
    datafile/dxf/dxflib/dl_extrusion.h \
    datafile/dxf/dxflib/dl_global.h \
    datafile/dxf/dxflib/dl_writer.h \
    datafile/dxf/dxflib/dl_writer_ascii.h \
    addmachinedialog.h \
    machine/bmp/bwbmp.h \
    machine/bmp/creatprintbmp.h \
    machine/tcp/qbindtcpsocket.h \
    machine/tcp/tcpclient.h \
    machine/printinfo/mcfiles.h \
    datafile/view/drawdata.h

TRANSLATIONS += chinese.ts\
english.ts

RESOURCES += \
    res.qrc
