#ifndef CREATPRINTBMP_H
#define CREATPRINTBMP_H

#include <QObject>
#include <QPicture>
#include <QPainter>
#include <QPicture>
#include <QDebug>
#include <QFile>
#include <QBitmap>
#include "bwbmp.h"
#include "main.h"

class CreatPrintBmp : public QObject
{
    Q_OBJECT
public:
    explicit CreatPrintBmp(QObject *parent = NULL);
    ~CreatPrintBmp();

private:
    QPicture m_picture;//绘图路径-线段
    QString m_savePath;
    int m_mcIdx;//机器索引

public:
    void setPicture(QPicture pic);
    void setPicture(QBitmap bitmap);
    void setSavePath(QString path);
    void setMcIdx(int idx);
    QString getSavePath();

signals:
    void siCreatOneBmpFinished(int mcIdx,u8 *dat,int datSize);

public slots:
    void slotCreatBmp();

};

#endif // CREATPRINTBMP_H
