#ifndef MYGRAPHICSSCENE_H
#define MYGRAPHICSSCENE_H

#include <QObject>
#include <QGraphicsScene>
#include "datafile/view/mygraphicsitem.h"

#define DRAWMARGINS 200.0 //item在场景中绘制时的边距(留边)

class MyGraphicsScene: public QGraphicsScene
{
    Q_OBJECT
public:
    MyGraphicsScene();
    ~MyGraphicsScene();

protected:
    void mousePressEvent(QGraphicsSceneMouseEvent *mouseEvent);
    void mouseMoveEvent(QGraphicsSceneMouseEvent *mouseEvent);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *mouseEvent);

private:
    MyGraphicsItem *m_myGraphicsItem;

public:
    void addItemToScene();
    void cleanScene();
    CreatPictureStr getPictureByDat(Marker marker,int paperWidth,int butSpace,int rightSpace,int penWidth = 1);
    CreatPictureStr getPictureByBmp(QPixmap pixmap,int paperWidth,int butSpace,int rightSpace,int penWidth = 1);
    void swithSceneByPic(QPicture pic);
    void reflushBlockScene(QPoint p);

signals:

public slots:
};

#endif // MYGRAPHICSSCENE_H
