#ifndef DRAWINGSETDIALOG_H
#define DRAWINGSETDIALOG_H

#include <QDialog>
#include <QDir>
#include <QSettings>

namespace Ui {
class DrawingSetDialog;
}

class DrawingSetDialog : public QDialog
{
    Q_OBJECT

public:
    explicit DrawingSetDialog(QWidget *parent = 0);
    ~DrawingSetDialog();
    void refreshLanguage();
    void refreshConfigPara(QString filePath);//刷新配置参数
    double getRotateAngle();

private slots:
    void on_pushButton_cancel_clicked();
    void on_pushButton_ok_clicked();

private:
    Ui::DrawingSetDialog *ui;
    QString m_configfile;

};

#endif // DRAWINGSETDIALOG_H
