#ifndef STARTSETDIALOG_H
#define STARTSETDIALOG_H

#include <QDialog>
#include <QMessageBox>

namespace Ui {
class StartSetDialog;
}

class StartSetDialog : public QDialog
{
    Q_OBJECT

public:
    explicit StartSetDialog(QWidget *parent = 0);
    ~StartSetDialog();
    int exec(QString title,QString text,QString length);
    inline int getStartPoint(){return m_startPoint;}

private slots:
    void on_pushButton_ok_clicked();
    void on_pushButton_cancel_clicked();

private:
    Ui::StartSetDialog *ui;
    int m_startPoint;
    int m_length;
};

#endif // STARTSETDIALOG_H
